
<div class="map-container">
  <app-map [longitude]="location.longitude" [latitude]="location.latitude"
  [draggable]="true" (markerDrag)="updateLocationPosition($event)"></app-map>
</div>


<div class="container" *ngIf="loaded">

  <p class="center">{{location.longitude}}, {{location.latitude}}</p>
  <form novalidate (ngSubmit)="updateLocation()" #updateLocationForm="ngForm">

    <mat-form-field>
      <input matInput required [(ngModel)]="location.name" placeholder="Name" name="name">
      <mat-error *ngIf="updateLocationForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput required [(ngModel)]="location.city" placeholder="City" name="city">
      <mat-error *ngIf="updateLocationForm.controls.city?.errors?.required">City is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput required [(ngModel)]="location.address" placeholder="Address" name="address">
      <mat-error *ngIf="updateLocationForm.controls.address?.errors?.required">Address is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput required [(ngModel)]="location.country" placeholder="Country" name="country">
      <mat-error *ngIf="updateLocationForm.controls.country?.errors?.required">Country is required</mat-error>
    </mat-form-field>

    <div class="center">
      <button mat-button type="submit" [disabled]="!updateLocationForm.valid" name="update-location">Update location</button>
    </div>

  </form>
</div>
